$(function()
{
    $('#signin_b').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/in', {'login': $('#login').val(), 'password': $('#password').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signin_b').val('Всё отлично!');
                $('#signin_f').submit();
            }
            else
            {
                $('.auth_error').show();
            }
        });
        
    });
    
    $('#remind').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/remindPassword', {'email': $('#email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#remind').val('Проверьте почту!');
                $('#remind').submit();
            }
            else
            {
                $('#remind').val('Что-то пошло не так :(');
            }
        });
        
    });
    
    $('#changepass_b').click(function()
    { 
        
        $.post(URLdir + 'handler/sign/changePassword', {
            'password': $('#password').val(),
            'confirm_password': $('#confirm_password').val(),
            'token': $('#token').val()
        },
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#changepass_b').val('Пароль успешно изменен!');
                $('#changepass_b').submit();
                window.location.replace(URLdir);
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    $('#errors').append('<li>' + data.errors[i]);
                    $('#' + i).addClass('wrong');
                });
                $('#errors').append('</ul>');
                $('#errors').show();
            }
        });
        
    });
    
    $('#signup_b').click(function()
    {
        
        $.post(URLdir + 'handler/sign/up', 
            {'activation_code': $('#activation_code').val(), 
            'login': $('#login').val(), 
            'password': $('#password').val(),
            'confirm_password': $('#confirm_password').val(),
            'email': $('#email').val(),
            'confirm_email': $('#confirm_email').val()},
        function(data)
        {
            data = $.parseJSON(data);
            if(data.success === true)
            {
                $('#signup_b').val('Всё отлично!');
                $('#signup_f').submit();
            }
            else
            {
                $('input').each(function(){
                    $(this).removeClass('wrong');
                });
                $('#errors').html('<ul>');
                $.each(data.errors, function(i){
                    $('#errors').append('<li>' + data.errors[i]);
                    $('#' + i).addClass('wrong');
                });
                $('#errors').append('</ul>');
                $('#errors').show();
            }
        });
    });
	
    $(document).keypress(function(event){
    if(event.keyCode==13)
    {
            if($('#login').is(':focus'))
            {
                $('#password').focus();
            }
            else if($('#password').is(':focus'))
            {
                $('#signin_b').trigger('click');
            }
        }
    });
    
});
